//**********************************************************************************************************
#ifndef ___TaskBarIcon___
#define ___TaskBarIcon___
//**********************************************************************************************************
#include "../Common.h"
#include <wx/taskbar.h>
#include <fmod.hpp>
//**********************************************************************************************************
namespace JokersPlayer
{
	class TaskBarIcon : public wxTaskBarIcon
	{
	private:
		std::vector <wxString> m_cdDrives;
	public:
		TaskBarIcon();

		virtual wxMenu * CreatePopupMenu();

	private:
		void _onTrayRightDClick		( wxTaskBarIconEvent & p_event);
		void _onPrevious			( wxCommandEvent & p_event);
		void _onPlay				( wxCommandEvent & p_event);
		void _onPause				( wxCommandEvent & p_event);
		void _onStop				( wxCommandEvent & p_event);
		void _onNext				( wxCommandEvent & p_event);
		void _onPlayCD				( wxCommandEvent & p_event);

		bool _checkFMODError( FMOD_RESULT p_result, unsigned int p_line, const char * p_file);

		DECLARE_EVENT_TABLE()
	};
}
//**********************************************************************************************************
#endif
//**********************************************************************************************************
