//**********************************************************************************************************
#ifndef JPEncoderThreadH
#define JPEncoderThreadH
//**********************************************************************************************************
#include "../Common.h"
#include <wx/thread.h>
//**********************************************************************************************************
namespace JokersPlayer
{
	class EncoderThread : public wxThread
	{
	private:
		wxString m_inFileName;
		wxString m_outFileName;
		EncodingOptions * m_encodingOptions;
	                           
	protected:
		virtual void * Entry();
		int EncodeFile();

	public:
		EncoderThread( EncodingOptions * p_options, wxString p_inPath, wxString p_outPath);

	private:
		void Encode();
	};
}
//**********************************************************************************************************
#endif
//**********************************************************************************************************
